Package Details: fceux-git 2.3.0.17.gc6752c41-1

Git Clone URL: https://aur.archlinux.org/fceux-git.git (read-only, click to copy)
Package Base: fceux-git
Description: Fast and ultra-compatible NES/Famicom emulator with SDL, OpenGL and SVGALIB support
Upstream URL: http://fceux.com/
Licenses: GPL
Conflicts: fceux
Provides: fceux
Submitter: punkrockguy318
Maintainer: punkrockguy318 (mjbudd77)
Last Packager: mjbudd77
Votes: 7
Popularity: 0.000000
First Submitted: 2018-06-23 23:43
Last Updated: 2021-01-22 11:14

Latest Comments

1 2 Next › Last »

mjbudd77 commented on 2021-01-22 11:15

I believe the dependency list is now correct.

mjbudd77 commented on 2021-01-20 01:38

There are numerous dependency errors in this PKGBUILD file. The newest 2.3.0 release of fceux uses Qt5 instead of GTK and has since upgraded to SDL2. The dependencies should look more like the official fceux 2.3.0 build in community repository as can be seen at: https://archlinux.org/packages/community/x86_64/fceux/

Stefanxyz commented on 2021-01-19 13:31

@punkrockguy318 yes I'm running into issues. It compiles and runs fine but won't start any .nes files. (Also it doesn't get affected by themes (colour-themes that is)). But the message log doesn't print out anything particular.

punkrockguy318 commented on 2021-01-18 19:17

@Stefanxyz I don't believe there are any currently known issues with the 5.10 kernel. Are you running into issues?

Stefanxyz commented on 2021-01-18 18:45

Is this compatible with the newest 5.10 kernel?

punkrockguy318 commented on 2020-12-14 21:47

Thanks for the heads up itstoast27

The project migrated from scons to cmake, so I updated the PKGBUILD to use cmake

itstoast27 commented on 2020-12-14 20:16

im getting an error scons: *** No SConstruct file found. File "/usr/lib/python3.9/site-packages/SCons/Script/Main.py", line 940, in _main ==> ERROR: A failure occurred in build(). Aborting... not sure what to do ...

tuckerboniface commented on 2019-02-03 03:29

Build fails with the following error message

/bin/ld: src/lua-engine.o: in function `savestate_create_aliased(lua_State*, bool)':
/tmp/fceux/src/lua-engine.cpp:2758: warning: the use of `tempnam' is dangerous, better use `mkstemp'
/bin/ld: src/fceu.o: in function `FCEUI_LoadGameVirtual(char const*, int, bool)':
/tmp/fceux/src/fceu.cpp:421: undefined reference to `archiveManuallyCanceled'
collect2: error: ld returned 1 exit status
scons: *** [src/fceux] Error 1
scons: building terminated because of errors.

Full build log at https://files.boniface.tech/fceux-build.log

punkrockguy318 commented on 2018-06-23 23:44

The project has moved to git and I've updated the PKGBUILD here: https://aur.archlinux.org/packages/fceux-git/

punkrockguy318 commented on 2013-03-15 19:35

upstream SVN repo structure changed (fceu -> fceu/trunk)

updated PKGBUILD